Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Interface SecureNioChannel.ApplicationBufferHandler

All Known Implementing Classes:
  NioEndpoint.NioBufferHandler

Enclosing class:
  SecureNioChannel

    public static interface SecureNioChannel.ApplicationBufferHandler

Callback interface to be able to expand buffers when buffer overflow exceptions happen

Method Summary
`java.nio.ByteBuffer` | `expand(java.nio.ByteBuffer buffer, int remaining)`
`java.nio.ByteBuffer` | `getReadBuffer()`
`java.nio.ByteBuffer` | `getWriteBuffer()`

Method Detail

### expand

    java.nio.ByteBuffer expand(java.nio.ByteBuffer buffer,
                               int remaining)

### getReadBuffer

    java.nio.ByteBuffer getReadBuffer()

### getWriteBuffer

    java.nio.ByteBuffer getWriteBuffer()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.